#!/bin/bash

trap 'echo got SIGINT' INT

SCRIPT_ROOT=`dirname "${0}"`

if [ -f "${SCRIPT_ROOT}/install_started" ];then
  printf 'Installation has already been started. If you need to restart it, please reboot and start over.'
  exit 1
else
  touch "${SCRIPT_ROOT}/install_started"
fi

source ${SCRIPT_ROOT}/lib/functions
source ${SCRIPT_ROOT}/lib/partition
source ${SCRIPT_ROOT}/lib/helpers

prepare_install
menu_helper
finalize

trap INT
exit
