#!/bin/bash

START_DIR=`pwd`
SCRIPT_ROOT=`realpath "$(dirname ${0})"`

cd "${SCRIPT_ROOT}/live-build/"

sudo lb clean
sudo lb config
sudo lb build

cd "${SCRIPT_ROOT}/"

build_date=`date +%Y-%m-%d_%H%M%S`

mkdir -p "${SCRIPT_ROOT}/output/${build_date}/"

find "${SCRIPT_ROOT}/live-build" -maxdepth 1 -name 'SapphicLinux*' -exec mv {} "${SCRIPT_ROOT}/output/${build_date}/" \;

cd "${SCRIPT_ROOT}/live-build/"
sudo lb clean
cd "${SCRIPT_ROOT}/"

cd "${START_DIR}"
